dbXML API

## com.dbxml.db.core.indexer
Class IndexMatch

    java.lang.Object
      com.dbxml.db.core.indexer.IndexMatch

All Implemented Interfaces:
  java.lang.Comparable

public final class IndexMatch
extends java.lang.Object
implements java.lang.Comparable

IndexMatch is used for representing match information. IndexMatches are the basic unit of information between Indexers and the IndexManager for performing queries and query optimization.

Constructor Summary
`IndexMatch()`
`IndexMatch(Key key, IndexPattern pattern)`
`IndexMatch(Key key, int pos)`
`IndexMatch(Key key, int pos, int elem, int attr)`

Method Summary
`int` `compareTo(java.lang.Object obj)`
`int` `getAttribute()` getAttribute returns the Attribute symbol ID for the Match.
`int` `getElement()` getElement returns the Element symbol ID for the Match.
`Key` `getKey()` getKey returns the Document Key for the IndexMatch.
`int` `getPosition()` getPosition returns the Document position for the Match.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexMatch

    public IndexMatch()

### IndexMatch

    public IndexMatch(Key key,
                      int pos,
                      int elem,
                      int attr)

### IndexMatch

    public IndexMatch(Key key,
                      int pos)

### IndexMatch

    public IndexMatch(Key key,
                      IndexPattern pattern)

Method Detail

### getKey

    public final Key getKey()

  getKey returns the Document Key for the IndexMatch.

  Returns:
    The Key

### getPosition

    public final int getPosition()

  getPosition returns the Document position for the Match.

  Returns:
    The Document position

### getElement

    public final int getElement()

  getElement returns the Element symbol ID for the Match.

  Returns:
    The Element Symbol ID

### getAttribute

    public final int getAttribute()

  getAttribute returns the Attribute symbol ID for the Match.

  Returns:
    The Attribute Symbol ID

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

dbXML API

Copyright (c) 2004 The dbXML Group